Summary: Timidity Daemon Service
Name: timidity-service
Version: 2.0
Release: 3.1
Group: System/Base
License: GPL
URL: http://linkat.xtec.net
Requires: timidity
BuildRoot: %{_tmppath}/%{name}-%{version}-build
Source: %{name}-%{version}.tar.bz2
Vendor: linkat
Distribution: education


%description
Permet posar el Timidity en mode "DEAMON" a la sessió de l'usuari per processar els arxius de tipus midi.

%prep
%setup -q

%build

%install
mkdir -p %{buildroot}
cp -r * %{buildroot}

%pre
# Export disable restart on update macro on package updating,
# timidity-service is no more a system service.
if [ "$1" = "2" ]; then
  export DISABLE_RESTART_ON_UPDATE=yes
    if [ -e /etc/init.d/timidity ]; then
	        /etc/init.d/timidity stop
    fi
fi

%clean    
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/etc/xdg/autostart/timidity.desktop
/usr/bin/start-timidity

%changelog
* Fri Jan 14 2011 Jordi Bruguera i Cortada <jbruguera@itechgrup.com>
- Changed from system service mode to user session mode.
* Wed Oct 27 2010 David Lara <dlara@espherica.com> 1.0
- Rebuild for Linkat 4
